<!DOCTYPE html>
<html>
<head>
    <title>Insta Posts</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="view/css/style.css?ver=0.21"/>
    <script src="view/js/jquery/jquery-2.1.1.min.js"></script>
    <script src="view/js/main.js?ver=0.12"></script>
</head>
<body>
    <div id="blur" style="">
        <img src="view/image/load3.gif" />
    </div>
    <form method="post" class="wrapper">
        <!-- CONTENT -->
        <div class="content">
            <div class="container">
                <?php if($hashtags_posts) { ?>
                    <div class="posts">
                        <?php foreach($hashtags_posts as $post) { ?>
                            <div class="post">
                                <div class="post_body">
                                    <a href="<?php echo $post['href']; ?>"><img src="<?php echo $post['midsize']; ?>" /></a>
                                </div>
                                <div class="post_footer">
                                    <p><?php echo $post['text']; ?></p>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                    <div class="show_more">
                        <button onclick="showMorePosts()" type="button">ПОКАЗАТЬ ЕЩЁ</button>
                    </div>
                <?php } else { ?>
                    <div class="load_insta_posts">
                        <div class="button_body">
                            <p>Здесь ещё нет постов. <br/>Воспользуйтесь сайд-баром слева.</p>
                            <button type="button" id="use_functional">ЗАГРУЗИТЬ ПОСТЫ</button>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
        <!-- SIDEBAR -->
        <div class="arrow open"><img src="view/image/arrow%20bar.png" /></div>
        <div class="sidebar">
            <div class="sidebar_content">
                <div class="sidebar_header">
                    <div class="arrow close"><img src="view/image/arrow%20bar.png" /></div>
                </div>
                <div class="sidebar_body">
                    <!-- first level -->
                    <div class="container" style="margin-bottom: 20px">
                        <div class="row hashtag_field">
                                <input type="text" name="new_hashtag" value="" placeholder="#хештег"/>
                                <div id="add_button_plus" onclick="addHashtag($(this))" class="form_add_button"></div>
                        </div>
                        <div class="row hash_posts">
                            <?php if($hashtags_control) { ?>
                                <?php foreach($hashtags_control as $hashtag => $values) { ?>
                                    <div class="hashtag">
                                        <a href="https://www.instagram.com/explore/tags/<?php echo $hashtag; ?>" target="_blank">#<?php echo $hashtag; ?></a>
                                        <div onclick="removeHashtag(this)" class="remove_hashtag"></div>
                                        <input type="hidden" name="hashtags[]" value="<?php echo $hashtag; ?>" />
                                    </div>
                                <?php } ?>
                            <?php } ?>
                        </div>
                        <div class="row">
                            <button onclick="uploadPosts()" type="button" name="download" style="width: 100%">ЗАГРУЗИТЬ</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="sidebar_footer">
                <a href="https://www.instagram.com/mikhail_markevych/">
                    <div class="developer">
                        <div class="dev_photo"></div>
                        <div class="dev_name">MIKHAIL<br/>MARKEVICH</div>

                    </div>
                </a>
                <div class="contacts">
                    <a href="https://telegram.me/Mikhail_Markevich"><div id="telegram"></div></a>
                    <a href="https://www.instagram.com/mikhail_markevych/"><div id="instagram"></div></a>
                </div>
            </div>
            <div class="sidebar_background"></div>
        </div>
    </form>
    <div class="background"></div>
</body>
</html>
